        var hamburger = window.document.getElementById('nav-icon1');
        var subLinksContainer = window.document.getElementById('nav-small');
        
        hamburger.addEventListener('click',(event)=>{ 
            if(elemHasClass(hamburger,'open')) {
                closeLinks();
            } else { 
                openLinks();
            }
        });

        function closeLinks(){
            hamburger.classList.remove('open');
            subLinksContainer.style.display = 'none';
        }
        function openLinks(){
            hamburger.classList.add('open');
            subLinksContainer.style.display = 'block';
        }

        function elemHasClass(elem, clazz) {
            return new RegExp("( |^)" + clazz + "( |$)").test(elem.className);
        }

        var attribution = 'Untitled, Miryong Suh, oil on canvas, 21 in x 19 in, 1999.';
        
        var top_text = {
            home: [],
            intro: [],
            moobi: [],
            storyofmahgo: [],
            benefits: [],
            gallery: [],
            gallery2: [],
            writings: [],
            writings2: []
        };
        var top_pix = {
            home: [],
            intro: [],
            moobi: [],
            storyofmahgo: [],
            benefits: [],
            gallery: [],
            gallery2: [],
            writings: [],
            writings2: []
        };
        var subfolderz = {
            home: 'home',
            intro: 'intro',
            moobi: 'moobi',
            storyofmahgo: 'storyofmahgo',
            benefits: 'benefits',
            teamed: 'teamed',
            natheal: 'natheal',
            membership: 'membership',
            classes: 'classes',
            forum: 'forum',
            contact: 'contact',
            gallery: 'gallery',
            gallery2: 'gallery2',
            writings: 'writings',
            writings2: 'writings2'
        };

        // subnav IDs
        var subnav_text = {};
        subnav_text.intro = 'subnav-about';
        subnav_text.moobi = 'subnav-about';
        subnav_text.storyofmahgo = 'subnav-about';
        subnav_text.benefits = 'subnav-naturopathy';
        subnav_text.teamed = 'subnav-naturopathy';
        subnav_text.natheal = 'subnav-naturopathy';
        subnav_text.membership = 'subnav-join';
        subnav_text.classes = 'subnav-join';
        subnav_text.forum = 'subnav-contact';
        subnav_text.contact = 'subnav-contact';
        subnav_text.gallery = 'subnav-gallery';
        subnav_text.gallery2 = 'subnav-gallery';
        subnav_text.writings = 'subnav-writings';
        subnav_text.writings2 = 'subnav-writings';
        /*
        subnav_text.home = 'subnav-home';
        */

        // home
        let home_text = [];
        home_text.push('home-1');
        top_text.home = home_text;

        let home_pix = [];
        home_pix.push('dragon.JPG');
         /* home_pix.push('DinoPicture312-015.JPG');
         
         home_pix.push('DinoPicture312-013.JPG');
         home_pix.push('DinoPicture312-021.JPG');
         home_pix.push('DSC05552.JPG');
         home_pix.push('DinoPicture312-339.jpg'); */
         
         
        // home_pix.push('DSC07681.JPG');
        // home_pix.push('DinoPicture312-020.JPG');
        top_pix.home = home_pix;
        
        // introduction 
        let intro_text = [];
        intro_text.push("text-1");
        intro_text.push("text-2");
        intro_text.push("text-3");
        intro_text.push("text-4");
        intro_text.push("text-5");
        top_text.intro = intro_text;

        let intro_pix = [];
        // intro_pix.push('DADO_z.JPG');
        intro_pix.push('DSC07673.JPG');
        intro_pix.push('DSC07731_with_right_padding.PNG');
        intro_pix.push('DSC07727.JPG');
        intro_pix.push('mahgo_tea_flower.PNG');
        // intro_pix.push('IMG_1621_cropped.JPG');
        // intro_pix.push('DSC07679.JPG');
        intro_pix.push('DSC07725.JPG');
        // intro_pix.push('DADO-photo_SMEAR2.jpg');
        // intro_pix.push('IMG_1620.jpg');
        // intro_pix.push('IMG_1621.jpg');
        // intro_pix.push('IMG_1619.jpg');
        // intro_pix.push('P1010112.JPG');
        // intro_pix.push('P101010.JPG');
        top_pix.intro = intro_pix;

        // moobi
        let moobi_text = [];
        moobi_text.push("moobi-1");
        moobi_text.push("moobi-2");
        moobi_text.push("moobi-3");
        // moobi_text.push("moobi-4");
        // moobi_text.push("moobi-5");
        top_text.moobi = moobi_text;

        let moobi_pix = [];
        moobi_pix.push('DinoPicture312_133.jpeg');
        moobi_pix.push('BeautifulMahgo_smd3.jpeg');
        moobi_pix.push('P1010112_cropped.jpg');   
        //moobi_pix.push('DinoPicture312-022.JPG');
        // moobi_pix.push('DinoPicture312-024.jpg');
        
       // moobi_pix.push('DinoPicture312_117.jpg');
       // moobi_pix.push('DinoPicture312_133.jpg');
       // moobi_pix.push('DinoPicture312_141.jpg');
       // moobi_pix.push('P1010091.JPG')
        top_pix.moobi = moobi_pix;

        let story_text = [];
        story_text.push("story-of-mahgo-1");
        top_text.storyofmahgo = story_text;


        let story_pix = [];
        story_pix.push('DinoPicture312-024.jpg');
        top_pix.storyofmahgo = story_pix;

        // benefits
        let bene_text = [];
        bene_text.push('benefits-1');
        bene_text.push('benefits-2');
        top_text.benefits = bene_text;

        let bene_pix = [];
        bene_pix.push('DSC05552.JPG');
        bene_pix.push('DinoPicture312_016.jpg');
        top_pix.benefits = bene_pix;

        // tea meditation
        let tea_text = [];
        tea_text.push('teamed-1');
        tea_text.push('teamed-2');
        tea_text.push('teamed-3');
        tea_text.push('teamed-4');
        top_text.teamed = tea_text;

        let tea_pix = [];
        tea_pix.push('DADO-photo_SMEAR2.jpg');
        tea_pix.push('DinoPicture312_113.jpeg');
        tea_pix.push('DinoPicture312_117.jpeg');
        tea_pix.push('DinoPicture312_141.jpeg');
        //tea_pix.push('P1010091.jpeg');

        // tea_pix.push('DinoPicture312_088_short.jpg');
        // tea_pix.push('sky_placeholder1.jpg');
        // tea_pix.push('sky_placeholder2.jpg');
        // tea_pix.push('crane_at_dusk.jpg');
        top_pix.teamed = tea_pix;

        // natural healing
        let nath_text = [];
        nath_text.push('natheal-1');
        nath_text.push('natheal-2');
        top_text.natheal = nath_text;

        let nath_pix = [];
        nath_pix.push('single_duck_rev_nrw.jpg');
        nath_pix.push('multi_ducks.jpg');
        top_pix.natheal = nath_pix;

        // memberships
        let mem_text = [];
        mem_text.push('membership-1');
        top_text.membership = mem_text;

        let mem_pix = [];
        mem_pix.push('bell.jpg'); 
        top_pix.membership = mem_pix;

        // classes
        let cls_text = [];
        cls_text.push('classes-1');
        top_text.classes = cls_text;

        let cls_pix = [];
        cls_pix.push('sky.jpg');
        top_pix.classes = cls_pix;

        // forum
        let frm_text = [];
        frm_text.push('forum-1');
        top_text.forum = frm_text;

        let frm_pix = [];
        frm_pix.push('buddha.jpg');
        top_pix.forum = frm_pix;

        // contact
        let ctt_text = [];
        ctt_text.push('contact-1');
        top_text.contact = ctt_text;

        let ctt_pix = [];
        ctt_pix.push('master_disciple.jpg');
        top_pix.contact = ctt_pix;


        // artwork gallery
        let art_text = [];
        art_text.push('Sam Zok Ah, Bird with Three Legs, is an anicent Korean symbol of Heave, Earth, Human.');
        art_text.push('Flying Bell without Post');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        art_text.push('gallery-1');
        top_text.gallery = art_text;

        let art_pix = [];
        art_pix.push('Korean_three-legged_bird.jpg'); 
        art_pix.push('nitescape.png');
        art_pix.push('DinoPicture312_001.jpg');
        art_pix.push('DinoPicture312_010.jpg');        
        art_pix.push('DinoPicture312_016.jpg');
        art_pix.push('DinoPicture312_020.jpg');
        art_pix.push('DinoPicture312_022.jpg');
        art_pix.push('DinoPicture312_024.jpg');
        art_pix.push('DSCF1519_2.jpg');
        top_pix.gallery = art_pix;

        let art_text2 = [];
        art_text2.push('gallery-2');
        top_text.gallery2 = art_text2;

        let art_pix2 = [];
        art_pix2.push('buddha.jpg');
        top_pix.gallery2 = art_pix2;

        var wri_text = [];
        wri_text.push('writings-chap1');
        wri_text.push('writings-chap2');
        wri_text.push('writings-chap3');
        wri_text.push('writings-chap4');
        wri_text.push('writings-chap5');
        top_text.writings = wri_text;

        var wri_pix = [];
        wri_pix.push('sky.jpg');
        top_pix.writings = wri_pix;

        var wri_text2 = [];
        wri_text2.push('writings2-1');
        top_text.writings2 = wri_text2;

        var wri_pix2 = [];
        wri_pix2.push('sky.jpg');
        top_pix.writings2 = wri_pix2;

        var doBig = true;

        var current_section = 'home';
        function nextSection(p,isBigPic){ console.log('p',p);

            doBig = !!isBigPic;

            var body = window.document.getElementsByTagName('body')[0];
            var home_text = window.document.getElementById('home-text');
            var main_content = window.document.getElementById('main-content');
            var text_container = window.document.getElementById('text');
            var pic_container = window.document.getElementById('pic');
            var header = window.document.getElementsByTagName('header')[0];
            var footer = window.document.getElementsByTagName('footer')[0];
            var pagers = window.document.getElementById('pagers');
            var dwrt = document.getElementById('subsubnav');

             // console.log('p',p);
            current_section = p;
            counter = 0; console.log('FROM NEXT SECTION FUNCTION: top_text[current_section]',top_text[current_section]);
            max_count = top_text[current_section].length;

            applySubFolderClass(body,p);
            setSelectedSubSubNav(0,subsubnavP.firstElementChild);
            limitSubSubNav(max_count);

            if(p=='home'||p=='membership'||p=='forum'||p=='classes'||p=='contact') {
                text_container.classList.add('text-no-pagers');
            } else {
                text_container.classList.remove('text-no-pagers');
                if(max_count > 1){
                    dwrt.style.display = 'block';
                    pagers.classList.add('subsubnavexists');
                } else {
                    dwrt.style.display = 'none';
                    pagers.classList.remove('subsubnavexists');
                }
            }

            if(p=='contact') setTimeout(clearContactForm,500);

            
            if(p=='writings2') { 
                dwrt.style.display = 'none';
                pagers.classList.remove('subsubnavexists');
            } else if(p=='writings') {
                dwrt.style.display = 'block';
                pagers.classList.add('subsubnavexists');
            } else {
                // dwrt.style.display = 'none';
                // pagers.classList.remove('subsubnavexists');
            }

            if(p=='home'||p=='gallery') {
                //if(elemHasClass(main_content,'two-column-pic')) main_content.classList.remove('two-column-pic');
                //main_content.classList.add('one-column-pic');
                main_content.classList.add('black-back');

                 
                pic_container.classList.remove('pic-padding');

                body.classList.add('black-back');
                //home_text.style.display = 'block';
                footer.classList.add('black-back');
                header.classList.add('black-back');
                
            } else {

                //if(elemHasClass(main_content,'one-column-pic')) main_content.classList.remove('one-column-pic');
                //main_content.classList.add('two-column-pic');
                main_content.classList.remove('black-back');

                
                pic_container.classList.add('pic-padding');

                body.classList.remove('black-back');
                //home_text.style.display = 'none';
                footer.classList.remove('black-back');
                header.classList.remove('black-back');
                /*
                one_content.style.visibility = 'hidden';
                one_content.style.height = 0;
                main_content.style.visibility = 'visible';
                main_content.style.height = '100%';
                */
                
                
          }
        
          nextPage(counter,isBigPic);

        }

        function applySubFolderClass(el,f) {
            for(let c in subfolderz) { el.classList.remove(subfolderz[c]); }
            el.classList.add(f);
        }

        function resetSubSecNav(override) {
            var subnav = getSubNav(); console.log('current_section',current_section); console.log('subnav',subnav);console.log('subnav.children[1]',subnav.children[1]);
            for (let b in subnav.children) { if(subnav.children[b].classList) subnav.children[b].classList.remove('selected'); }
            if(override) subnav.children[override].classList.add('selected');
            else subnav.children[0].classList.add('selected');
            //showPagers();
        }

        function nextSubSection(cur_sec){
            nextSection(cur_sec);
        }

        function getSubNav() {
            return document.getElementById(subnav_text[current_section]);
        }
        /*
        function hidePagers() { console.log('hidePagers called');
            var pagerz = document.getElementById('pagers');
            //pagerz.style.height = 0;
            setTimeout(_=>{pagerz.style.border = 'none'; console.log('just made it NOT visible');},0);
            var t = document.getElementsByClassName('text')[0];
            t.classList.add('hide-pagers');
            var subElz = pagers.querySelectorAll('#pagers span'); 
            for(let k=0; k < subElz.length; k++) { subElz[k].style.display='none'; } 
        }
        function showPagers() { console.log('showPagers called');
            var pagerz = document.getElementById('pagers');
            //pagerz.style.height = '100%';
            pagerz.style.border = '1px solid #ddd'; console.log('just made it visible');
            var t = document.getElementsByClassName('text')[0];
            t.classList.remove('hide-pagers');
            var subElz = pagers.querySelectorAll('#pagers span');
            for(let k=0; k < subElz.length; k++) { subElz[k].style.display='block'; } 
        }
        */

        function nextPage(n,isBig){  
            var pic = document.getElementById('pic-container');
            var bigPic = document.getElementById('main-content');
            var all_txts = document.getElementsByClassName('text-template');
            var all_subnavs = document.getElementsByClassName('subnav');
            for(var i=0; i<all_txts.length; i++) { all_txts[i].style.display = 'none'; }
            for(var j=0; j<all_subnavs.length; j++) { all_subnavs[j].style.display = 'none'; }
             console.log('a',n,current_section,top_text[current_section]);
            var txt = document.getElementById(top_text[current_section][n]); 
            var subnav = getSubNav(); console.log('sssssssssssssssssssubnav: ',subnav);
            // if(top_pix[current_section][n]=='undefined'||top_pix[current_section][n]==undefined) return;
            var nuurl = "./img/" + subfolderz[current_section] + "/" + top_pix[current_section][n] ;
            var nupic = "url(" + nuurl + ")";
            console.log('nupic',nupic);
            console.log('isBig',isBig);
            
            
            //setTimeout(function(){

            if(current_section!=='writings'&&current_section!=='writings2') { 
                
                console.log('current_seciont != writings',current_section);

                var t = document.getElementById('loader_off');
                var tcont = document.getElementById('preloader');
                t.id = 'loader';
                tcont.style.display='block';
                var img = new Image();
                img.style.display = 'none';

            //var ldr = document.getElementById('loadme-bounced');
            //var ldrmsk = document.getElementById('loadme-mask');
            //ldr.classList.add('loadme-bounced');
            //ldrmsk.classList.add('loadme-mask');
           
            


                img.onload = ()=>{ t.id='loader_off'; tcont.style.display='none'; };
                img.src = nuurl;
            
/* http://www.cssscript.com/demo/12-pure-cssscss-loading-indicators-spinthatshit/ */

                //ldr.classList.remove('loadme-bounced');
                //ldrmsk.classList.remove('loadme-mask');
                pic.style.backgroundImage = (isBig) ? '' : nupic;
                bigPic.style.backgroundImage = (isBig) ? nupic : '';
            } else {
                bigPic.style.backgroundImage = '';
            }
            if(txt) {
                console.log('current_section',current_section,'txt',txt.id,txt);
                if(current_section=='forum') { txt.style.display = 'flex'; txt.style.flexDirection='column'; }
                //else if(current_section=='writings') { txt.style.display = 'grid'; }
                else txt.style.display = 'block';
            }
            if(subnav) {
                //if(current_section=='writings') subnav.style.display = 'fixed'; 
                //else 
                    subnav.style.display = 'flex';
                    subnav.style.flexDirection = 'row';
                    subnav.style.flexWrap = 'nowrap';
                    subnav.style.justifyContent = 'space-between';
                    
            }
            var p = (isBig) ? bigPic : pic;
           /*
            };
           img.src = nupic;

           },0);
           */

           if (current_section === 'intro') {
               const el = document.getElementById('attribution');
               el.innerText = attribution;
           }

           /* if (current_section === 'home') {
               setTimeout(() => {
                const nuurlz = "./img/" + subfolderz[current_section] + "/" + top_pix[current_section][1] ;
                console.log('nuurl', nuurlz);
                const nupicz = "url(" + nuurlz + ")";
                bigPic.style.backgroundImage = nupicz;
               }, 3000);
               setTimeout(() => {
                const nuurly = "./img/" + subfolderz[current_section] + "/" + top_pix[current_section][2] ;
                const nupicy = "url(" + nuurly + ")";
                bigPic.style.backgroundImage = nupicy;
               }, 7000);
               setTimeout(() => {
                const nuurlz = "./img/" + subfolderz[current_section] + "/" + top_pix[current_section][3] ;
                console.log('nuurl', nuurlz);
                const nupicz = "url(" + nuurlz + ")";
                bigPic.style.backgroundImage = nupicz;
               }, 11000);
               setTimeout(() => {
                const nuurly = "./img/" + subfolderz[current_section] + "/" + top_pix[current_section][4] ;
                const nupicy = "url(" + nuurly + ")";
                bigPic.style.backgroundImage = nupicy;
               }, 15000);

           } */
        }

        function setSelected(w){ console.log('w',w);
            var p = w.parentNode; console.log('p',p);
            for(var i in p.children) { 
                let ar = p.children[i];
                if (ar && ar.classList) ar.classList.remove('selected');
                if(ar===w) { 
                    ar.classList.add('selected');
                }
            }
        }

        function closeSmallMenu(){
            closeLinks();
        }

        var pagerNext = document.getElementById('next');
        var pagerPrev = document.getElementById('prev');
        var subsubnavP = document.getElementById('subsubnav');
        
        let counter = 0;
        let max_count = top_text['intro'].length;

        pagerNext.addEventListener('click', (event)=>{ console.log('doBig',doBig,counter,max_count);
            pagerPrev.style.display = 'inline';
            counter = (counter + 1 >= max_count) ? 0 : counter + 1 ;
            //console.log('next',counter);
            if(subsubnavP.style.display != 'none') { setSelectedSubSubNav(counter,subsubnavP.firstElementChild); }
            nextPage(counter,doBig);
        });
        pagerPrev.addEventListener('click',(event)=>{
            counter = (counter <= 0) ? max_count - 1 : counter - 1 ;
            //console.log('prev',counter);
            if(subsubnavP.style.display != 'none') { setSelectedSubSubNav(counter,subsubnavP.firstElementChild); }
            nextPage(counter,doBig);
        });
        var par_targ;
        function setSelectedSubSubNav(targ,_parent){ console.log('targ',targ);console.log('_parent',_parent.childElementCount);
            // _parent.children.classList.remove('selected');
            for(let e=0; e < _parent.childElementCount; e++) { console.log('childe node:', _parent.children[e]);console.log('e',e);
                _parent.children[e].classList.remove('selected');
            }
            _parent.children[targ].classList.add('selected');
            par_targ = _parent;
        }
        function limitSubSubNav(max){
            for(let e=0; e < par_targ.childElementCount; e++) {
                par_targ.children[e].style.display = 'none';
            }
            for(let f=0; f < max; f++) {
                par_targ.children[f].style.display = 'inline';
            }
        }


        function sendMail() {
            let f = document.getElementById('first-name').value;
            let l = document.getElementById('last-name').value;
            let em = document.getElementById('email').value;
            let ph = document.getElementById('phone').value;
            let mess = document.getElementById('message').value;
            let tot = f + ':' + l + ':' + em + ':' + ph + '::::' + mess ; 
            let link = "mailto:coopergotama@gmail.com"
                    + "?cc=coopergotama@yahoo.com"
                    + "&subject=" + escape("Website inquiry - contact form")
                    + "&body=" + escape(tot)
            ;
            window.location.href = link;
            // clearContactForm();
        }
        function clearContactForm() {
            document.getElementById('first-name').value='';
            document.getElementById('last-name').value='';
            document.getElementById('email').value='';
            document.getElementById('phone').value='';
            document.getElementById('message').value='';
        }
